## valve valve — This element drops all packets when drop is TRUE |

## Synopsis

                        GstValve;

## Properties

      "drop"                     gboolean              : Read / Write

## Description

The valve is a simple element that drops buffers when the "drop" property is set to `TRUE` and lets then through otherwise.

Any downstream error received while the "drop" property is `FALSE` is ignored. So downstream element can be set to `GST_STATE_NULL` and removed, without using pad blocking.

Last reviewed on 2008-02-10 (0.10.11)

## Details

### GstValve

    typedef struct {
    } GstValve;

The private valve structure

## Property Details

### The `"drop"` property

      "drop"                     gboolean              : Read / Write

If this property if TRUE, the element will drop all buffers, if its FALSE, it will let them through.

Default value: FALSE